org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class IsTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.IsTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.IsTest.Traversals

- Enclosing class:
    IsTest

      public static class IsTest.Traversals
      extends IsTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.IsTest

      `IsTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Integer>` | `get_g_V_valuesXageX_isX32X()`
    `Traversal<Vertex,Integer>` | `get_g_V_valuesXageX_isXgte_29X_isXlt_34X()`
    `Traversal<Vertex,Integer>` | `get_g_V_valuesXageX_isXlte_30X()`
    `Traversal<Vertex,String>` | `get_g_V_whereXinXcreatedX_count_isX1XX_valuesXnameX()`
    `Traversal<Vertex,String>` | `get_g_V_whereXinXcreatedX_count_isXgte_2XX_valuesXnameX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.IsTest

      `g_V_valuesXageX_isX32X, g_V_valuesXageX_isXgte_29X_isXlt_34X, g_V_valuesXageX_isXlte_30X, g_V_whereXinXcreatedX_count_isX1XX_valuesXnameX, g_V_whereXinXcreatedX_count_isXgte_2XX_valuesXnameX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_valuesXageX_isX32X

          public Traversal<Vertex,Integer> get_g_V_valuesXageX_isX32X()

      Specified by:
        `get_g_V_valuesXageX_isX32X` in class `IsTest`

    - #### get_g_V_valuesXageX_isXlte_30X

          public Traversal<Vertex,Integer> get_g_V_valuesXageX_isXlte_30X()

      Specified by:
        `get_g_V_valuesXageX_isXlte_30X` in class `IsTest`

    - #### get_g_V_valuesXageX_isXgte_29X_isXlt_34X

          public Traversal<Vertex,Integer> get_g_V_valuesXageX_isXgte_29X_isXlt_34X()

      Specified by:
        `get_g_V_valuesXageX_isXgte_29X_isXlt_34X` in class `IsTest`

    - #### get_g_V_whereXinXcreatedX_count_isX1XX_valuesXnameX

          public Traversal<Vertex,String> get_g_V_whereXinXcreatedX_count_isX1XX_valuesXnameX()

      Specified by:
        `get_g_V_whereXinXcreatedX_count_isX1XX_valuesXnameX` in class `IsTest`

    - #### get_g_V_whereXinXcreatedX_count_isXgte_2XX_valuesXnameX

          public Traversal<Vertex,String> get_g_V_whereXinXcreatedX_count_isXgte_2XX_valuesXnameX()

      Specified by:
        `get_g_V_whereXinXcreatedX_count_isXgte_2XX_valuesXnameX` in class `IsTest`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.